package org.processmining.acceptingpetrinetreductionlayouter.parameters;

import java.awt.Color;

public enum NamedColor {
	ASIS(null, "As-is"),
	BLACK(Color.BLACK, "Black"),
	RED(Color.RED, "Red"),
	BLUE(Color.BLUE, "Blue"),
	GREEN(Color.GREEN, "Green"),
	YELLOW(Color.YELLOW, "Yellow"),
	CYAN(Color.CYAN, "Cyan"),
	MAGENTA(Color.MAGENTA, "Magenta"),
	WHITE(Color.WHITE, "White");

	private Color color;
	private String label;
	
	NamedColor(Color color, String label) {
		this.color = color;
		this.label = label;
	}
	
	public String toString() {
		return label;
	}
	
	public Color getColor() {
		return color;
	}
}
