package org.processmining.acceptingpetrinetreductionlayouter.parameters;

public class LayoutParameters {

	private ShowHideParameter showPlaceLabels;
	private int horizontalSpace;
	private int verticalSpace;
	private NamedColor namedColor;

	public ShowHideParameter getShowsPlaceLabels() {
		return showPlaceLabels;
	}

	public void setShowPlaceLabels(ShowHideParameter showPlaceLabels) {
		this.showPlaceLabels = showPlaceLabels;
	}
	
	public LayoutParameters() {
		setShowPlaceLabels(ShowHideParameter.ASIS);
		setHorizontalSpace(10);
		setVerticalSpace(20);
		setNamedColor(NamedColor.ASIS);
	}

	public int getHorizontalSpace() {
		return horizontalSpace;
	}

	public void setHorizontalSpace(int horizontalSpace) {
		this.horizontalSpace = horizontalSpace;
	}

	public int getVerticalSpace() {
		return verticalSpace;
	}

	public void setVerticalSpace(int verticalSpace) {
		this.verticalSpace = verticalSpace;
	}

	public NamedColor getNamedColor() {
		return namedColor;
	}

	public void setNamedColor(NamedColor namedColor) {
		this.namedColor = namedColor;
	}
	
}
